summary refs log tree commit diff
path: root/bin/rsyncez
diff options
context:
space:
mode:
Diffstat (limited to 'bin/rsyncez')
-rwxr-xr-xbin/rsyncez19
1 files changed, 19 insertions, 0 deletions
diff --git a/bin/rsyncez b/bin/rsyncez
new file mode 100755
index 0000000..0275971
--- /dev/null
+++ b/bin/rsyncez
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -e
+[ -n "$DEBUG" ] && set -x
+
+[ "$1" = "-mac" ] && shift && mac_args='--rsync-path=/usr/local/bin/rsync'     # force brew version
+[ "$1" = "-mac2" ] && shift && mac_args='--rsync-path=/opt/homebrew/bin/rsync' # force brew version
+exec rsync \
+	--verbose \
+	-hhh \
+	--info=flist2,name,progress \
+	--partial \
+	--rsh="ssh -x -T -o Compression=yes -o RemoteCommand=none" \
+	--archive \
+	--protect-args \
+	${mac_args} \
+	"$@"
+
+# -c chacha20-poly1305@openssh.com